### Name: logLik
### Title: Extracts Log-Likelihood
### Aliases: logLik logLik.maxstab
### Keywords: models

### ** Examples

require(RandomFields)

##Define the coordinates of each location
n.site <- 30
locations <- matrix(5 + runif(2*n.site, 0, 10), ncol = 2)

##Simulate a max-stable process - with unit Frechet margins
ms0 <- MaxStableRF(locations[,1], locations[,2], grid=FALSE, model="wh",
                   param=c(0,1,0,3, .5), maxstable="extr",
                   n = 30)
ms1 <- t(ms0)
## Not run: 
##D fit <- fitmaxstab(ms1, locations, "schlather")
##D logLik(fit)
## End(Not run)



